var tmepc;
var _gallery_item_left = ".prev"; //左侧按钮class
var _gallery_item_right = ".next"; //右侧按钮class
var _front_side = ".front_side"; //中间图片容器class
var _gallery_left_middle = ".gallery_left_middle"; //左侧图片容器class
var _gallery_right_middle = ".gallery_right_middle"; //右侧图片容器class
var _gallery_out = ".gallery_out"; //隐藏图片容器class
var _threeD_gallery_item = ".threeD_gallery_item"; //图片容器classvar 
var _imgNum = 3;

$(function () {
    tmepc = setInterval(function () {
        $('.next.gallery_Flip').click()
    }, 3000);

    $('.gallery_click').click(function () {
        var num = $(this).data('num');
        var numId = '#gallery_' + num;
        if ($(numId).hasClass('gallery_right_middle')) {
            $('.next').click();
        } else if ($(numId).hasClass('gallery_out')) {
            $('.next').click();
            setTimeout(function () {
                $('.next').click();
            }, 200);
        } else if ($(numId).hasClass('gallery_left_middle')) {
            $('.prev').click();
        };
    });

    // 监听切换按钮点击事件，改变下方按钮class
    $(document).on("click", ".gallery_Flip", function () {
        var number = $('.front_side').data('number');
        var gallery_btn = '.gallery_btn_' + number;
        $('.gallery_click').removeClass('active');
        $(gallery_btn).addClass('active');
    });


    //左侧按钮绑定点击事件
    $('.gallery_container').find(_gallery_item_left).on("click", function () {
        clearInterval(tmepc);

        var idx = parseInt($('.gallery_container').find(_gallery_left_middle).index());
        var l = 0, s = idx, r = 0;
        if (idx == 0) {
            r = 1;
            l = _imgNum - 1;
        }
        if (idx == 1) {
            r = _imgNum - 1;
            l = 0;
        }
        if (idx > 1) {
            r = 0;
            l = 1;
        }
        //当前展示图片逻辑
        $('.gallery_container').find(_threeD_gallery_item).eq(l).removeClass("gallery_right_middle").addClass("gallery_left_middle");
        $('.gallery_container').find(_threeD_gallery_item).eq(s).removeClass("gallery_left_middle").addClass("front_side");
        $('.gallery_container').find(_threeD_gallery_item).eq(r).removeClass("front_side").addClass("gallery_right_middle");
        //var idx = parseInt($('.gallery_container').find(_gallery_left_middle).index());
        ////当前展示图片逻辑
        //$('.gallery_container')
        //    .find(_threeD_gallery_item)
        //    .eq(idx)
        //    .removeClass("gallery_left_middle")
        //    .addClass("front_side");
        ////当idx值为0时，执行逻辑
        //$('.gallery_container')
        //    .find(_threeD_gallery_item)
        //    .eq(idx == 0 ? idx + _imgNum - 1 : idx - 1)
        //    .removeClass("gallery_out")
        //    .addClass("gallery_left_middle");
        ////当idx值为_imgNum - 3时，执行逻辑
        //$('.gallery_container')
        //    .find(_threeD_gallery_item)
        //    .eq(idx == _imgNum - 3 ? idx + 2 : idx - _imgNum + 2)
        //    .removeClass("gallery_right_middle")
        //    .addClass("gallery_out");
        ////当idx值为_imgNum - 2时，执行逻辑
        //$('.gallery_container')
        //    .find(_threeD_gallery_item)
        //    .eq(idx == _imgNum - 2 ? idx + 1 : idx - _imgNum + 1)
        //    .removeClass("front_side")
        //    .addClass("gallery_right_middle");

        tmepc = setInterval(function () {
            $('.next.gallery_Flip').click()
        }, 3000);
    });

    //右侧按钮绑定点击事件
    $('.gallery_container').find(_gallery_item_right).on("click", function () {
        clearInterval(tmepc);

        var idx = parseInt($('.gallery_container').find(_gallery_right_middle).index());
        var l = 0, s = idx, r = 0;
        if (idx == (_imgNum - 1)) {
            r = 0;
            l = 1;
        }
        if (idx == (_imgNum - 2)) {
            r = idx + 1;
            l = 0;
        }
        if (idx < (_imgNum - 2)) {
            r = idx + 1;
            l = idx + 2;
        }
        //当前展示图片逻辑
        $('.gallery_container').find(_threeD_gallery_item).eq(l).removeClass("front_side").addClass("gallery_left_middle");
        $('.gallery_container').find(_threeD_gallery_item).eq(s).removeClass("gallery_right_middle").addClass("front_side");
        $('.gallery_container').find(_threeD_gallery_item).eq(r).removeClass("gallery_left_middle").addClass("gallery_right_middle");
        //var idx = parseInt($('.gallery_container').find(_gallery_right_middle).index());
        ////当前展示图片逻辑
        //$('.gallery_container')
        //    .find(_threeD_gallery_item)
        //    .eq(idx)
        //    .removeClass("gallery_right_middle")
        //    .addClass("front_side");
        ////当idx值为0时，执行逻辑
        //$('.gallery_container')
        //    .find(_threeD_gallery_item)
        //    .eq(idx == 0 ? idx + _imgNum - 1 : idx - 1)
        //    .removeClass("front_side")
        //    .addClass("gallery_left_middle");
        ////当idx值为1时，执行逻辑
        //$('.gallery_container')
        //    .find(_threeD_gallery_item)
        //    .eq(idx == 1 ? idx + _imgNum - 2 : idx - 2)
        //    .removeClass("gallery_left_middle")
        //    .addClass("gallery_out");
        ////当idx值为_imgNum - 2时，执行逻辑
        //$('.gallery_container')
        //    .find(_threeD_gallery_item)
        //    .eq(idx == _imgNum - 2 ? idx + 1 : idx - _imgNum + 1)
        //    .removeClass("gallery_out")
        //    .addClass("gallery_right_middle");

        tmepc = setInterval(function () {
            $('.next.gallery_Flip').click()
        }, 3000);
    });

})